Bug 3461 - ntpd: resolver issue
: ntpd: resolver issue
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ntpd)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-01-11 02:53 by
Modified: 2008-04-01 07:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-11 02:53:53
The chroot jailing patch has resolver issue. 
 
Instead of ugly and incomplete 
gethostbyname ("localhost"); 
workaround I'd prefer to include resolver chroot into ntpd chroot. 
 
Maybe ntpd and ntpdate should chroot by default like named in our bind package. 
In latter case, ntpdate could be jailed to /var/empty/.
------- Comment #1 From 2004-02-16 02:16:33 -------
* Sun Feb 15 2004 Dmitry V. Levin <ldv@altlinux.org> 4.1.2-alt2 
- Fixed chroot jailing and droppriv code (#3461). 
- Changed default settings: 
  ntpd: switch to ntpd:ntpd, chroot to /var/lib/ntpd; 
  ntp_intres: switch to ntpd:ntpd, chroot to /var/resolv; 
  ntpdate: switch to ntpd:ntpd, chroot to /var/empty.